------------------------------------------------------
-- localization.lua
-- for Hunter's Helper
-- English strings by default; localizations override with their own.
------------------------------------------------------

-- We treat all five resistances as the same spell, because they're identical in all ways that we care about.
ARCANE_RESIST = "Arcane Resistance";
FIRE_RESIST = "Fire Resistance";
FROST_RESIST = "Frost Resistance";
NATURE_RESIST = "Nature Resistance";
SHADOW_RESIST = "Shadow Resistance";
-- So, our reverse mapping represents any of the five resistances.
ALL_RESISTS = "Arcane/Fire/Frost/Nature/Shadow Resistance";

-- Other spell names
STAMINA = "Great Stamina";
ARMOR = "Natural Armor";
BITE = "Bite";
CLAW = "Claw";
COWER = "Cower";
DASH = "Dash";
DIVE = "Dive";
GROWL = "Growl";
HOWL = "Furious Howl";
LIGHTNING = "Lightning Breath";
POISON = "Scorpid Poison";
PROWL = "Prowl";
SCREECH = "Screech";
CHARGE = "Charge";
SHELL = "Shell Shield";
THUNDERSTOMP = "Thunderstomp";

-- Beast family names
BAT = "Bat";
BEAR = "Bear";
BOAR = "Boar";
CARRION_BIRD = "Carrion Bird";
CAT = "Cat";
CRAB = "Crab";
CROCOLISK = "Crocolisk";
GORILLA = "Gorilla";
HYENA = "Hyena";
OWL = "Owl";
RAPTOR = "Raptor";
SCORPID = "Scorpid";
SPIDER = "Spider";
TALLSTRIDER = "Tallstrider";
TURTLE = "Turtle";
WIND_SERPENT = "Wind Serpent";
WOLF = "Wolf";

-- Other strings used in tables
ALL_FAMILIES = "all beast families";
PET_TRAINER = "Pet Trainers (found in major cities and some towns)";

if ( GetLocale() == "deDE" ) then

	-- We treat all five resistances as the same spell, because they're identical in all ways that we care about.
	ARCANE_RESIST = "Arkanwiderstand";
	FIRE_RESIST = "Feuerwiderstand";
	FROST_RESIST = "Frostwiderstand";
	NATURE_RESIST = "Naturwiderstand";
	SHADOW_RESIST = "Schattenwiderstand";
	-- So, our reverse mapping represents any of the five resistances.
	ALL_RESISTS = "Arkan/Feuer/Frost/Natur/Schatten Widerstand";

	-- Other spell names
	STAMINA = "Große Ausdauer";
	ARMOR = "Natürliche Rüstung";
	BITE = "Beißen";
	CLAW = "Klaue";
	COWER = "Ducken";
	DASH = "Spurt";
	DIVE = "Sturzflug";
	GROWL = "Knurren";
	HOWL = "Wutgeheul";
	LIGHTNING = "Blitzschlagatem";
	POISON = "Skorpidgift";
	PROWL = "Schleichen";
	SCREECH = "Schrei";
	
	-- Beast family names
	BAT = "Fledermaus";
	BEAR = "Bär";
	BOAR = "Eber";
	CARRION_BIRD = "Aasvogel";
	CAT = "Katze";
	CRAB = "Krebs";
	CROCOLISK = "Krokilisk";
--	GORILLA = "Gorilla";		-- same as enUS
	HYENA = "Hyäne";
	OWL = "Eule";
--	RAPTOR = "Raptor";		-- same as enUS
	SCORPID = "Skorpid";
	SPIDER = "Spinne";
	TALLSTRIDER = "Weitschreiter";
	TURTLE = "Schildkröte";
	WIND_SERPENT = "Windnatter";
--	WOLF = "Wolf";		-- same as enUS

end

if ( GetLocale() == "frFR" ) then

	 -- We treat all five resistances as the same spell, because they're identical in all ways that we care about.
	 ARCANE_RESIST = "Résistance aux arcanes";
	 FIRE_RESIST = "Résistance au feu";
	 FROST_RESIST = "Résistance au givre";
	 NATURE_RESIST = "Résistance à la nature";
	 SHADOW_RESIST = "Résistance à l'ombre";
	 -- So, our reverse mapping represents any of the five resistances.
	 ALL_RESISTS = "Résistance arcanes/feu/givre/nature/ombre";

	 -- Other spell names
	 STAMINA = "Endurance supérieure";
	 ARMOR = "Armure naturelle";
	 BITE = "Morsure";
	 CLAW = "Griffe";
	 COWER = "Tremblements";
	 DASH = "Célérité";
	 DIVE = "Plongeon";
	 GROWL = "Grondement";
	 HOWL = "Hurlement furieux";
	 LIGHTNING = "Souffle de foudre";
	 POISON = "Poison de scorpide";
	 PROWL = "Rôder";
	 SCREECH = "Hurlement";

	 -- Beast family names
	 BAT = "Chauve-souris";
	 BEAR = "Ours";
	 BOAR = "Sanglier";
	 CARRION_BIRD = "Charognard";
	 CAT = "Félin";
	 CRAB = "Crabe";
	 CROCOLISK = "Crocilisque";
	 GORILLA = "Gorille";
	 HYENA = "Hyène";
	 OWL = "Chouette";
	 RAPTOR = "Raptor";
	 SCORPID = "Scorpide";
	 SPIDER = "Araignée";
	 TALLSTRIDER = "Haut-trotteur";
	 TURTLE = "Tortue";
	 WIND_SERPENT = "Serpent des vents";
	 WOLF = "Loup";

	 -- Other strings used in tables
	 ALL_FAMILIES = "Toutes les familles animales";
	 PET_TRAINER = "Maîtres des familiers (trouvés dans les cités et certaines villes)";

end

if ( GetLocale() == "koKR" ) then


end
